function onBegin()
	if getFlag("plum_cutscene_ran") then
		return
	end

	disableMovement()
	say("CatCollab_CATHUNT_PLUM_A")
	walk(48)
	say("CatCollab_CATHUNT_PLUM_B")
end

function onEnd()
	enableMovement()
	setFlag("plum_cutscene_ran", true)
end